makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
com.visagetechnologies.CamIL.Image Class Reference

## Public Member Functions
| Image (int width, int height, com.visagetechnologies.CamIL.EFormat format)
com.visagetechnologies.CamIL.Image | Clone ()
int | GetSize ()
int | GetPlaneCount ()
| Retrieve the plane count from the image.
com.visagetechnologies.CamIL.Plane | GetPlane (int index)
com.visagetechnologies.CamIL.IFormat | GetFormat ()
com.visagetechnologies.CamIL.Plane | GetPlane (String plane)

## Detailed Description

Represents an image retrieved from camera.

## Constructor & Destructor Documentation

## ◆ Image()

com.visagetechnologies.CamIL.Image.Image | ( | int | width,
|  | int | height,
|  | com.visagetechnologies.CamIL.EFormat | format
| ) |  |
| inline

Creates a new image.

Parameters

  width | Image width.
  height | Image height.
  format | Image format. The only formats currently supported for both tracking and rendering are: BGRA, LUMINANCE, RGB, RGBA.

## Member Function Documentation

## ◆ Clone()

com.visagetechnologies.CamIL.Image com.visagetechnologies.CamIL.Image.Clone | ( |  | ) |
| inline

Duplicates image and it's buffer.

## ◆ GetFormat()

com.visagetechnologies.CamIL.IFormat com.visagetechnologies.CamIL.Image.GetFormat | ( |  | ) |
| inline

Gets the format description object.

## ◆ GetPlane() [1/2]

com.visagetechnologies.CamIL.Plane com.visagetechnologies.CamIL.Image.GetPlane | ( | int | index | ) |
| inline

Gets the plane.

## ◆ GetPlane() [2/2]

com.visagetechnologies.CamIL.Plane com.visagetechnologies.CamIL.Image.GetPlane | ( | String | plane | ) |
| inline

Gets the plane.

## ◆ GetPlaneCount()

int com.visagetechnologies.CamIL.Image.GetPlaneCount | ( |  | ) |
| inline

Retrieve the plane count from the image.

Returns
  The number of planes stored inside the image

## ◆ GetSize()

int com.visagetechnologies.CamIL.Image.GetSize | ( |  | ) |
| inline

Returns the buffer size.